Subject: RE: Assert on outgoing interface

From: vishwas <[email-masked]>
Date: Wed, 11 Nov 98 23:49:00 PST

In message <[email-masked]> you write:
>> 6) I feel it is un-necessary to send an assert AGAIN by an assert   
winner,
>> just to tell other routers who WON, when they allready know they are   
the
>> LOOSERS. Can this sentence be eliminated from section 5.5.....?
>
>Can't do that. Others need to know who won.

I think Vishu is right.  If this router has sent an Assert already, then
it doesn't need to send it again -- it only needs to send the "I won"
Assert message if it hasn't sent an Assert recently.

i.e.
1. A sends Assert saying [1,20]
2. B sends Assert saying [1,15]
3. A receives B's Assert and shuts up
4. B receives A's Assert and decides that it has won.  B sends another   
Assert
  saying [1,15].
What is the value of the 2nd Assert message from B?

  Bill

[vishwas]

When asserts are sent on a multi access LAN, each one know who has a   
better metric and if one is not having he will shut up and PRUNE his   
output interface. If the guy who WON sends another Assert saying he WON,   
it is allready known by others (as long as assert is not lost). Winner   
will continue to forward.
 If U still consider Winner needs to send a confirmance by another assert   
message, then he will send it with [1,15]. But there is an issue here I   
raised in my last mail,

Q. What to do when an Assert is received on a Pruned interface..?
A. Discard it. ( which need to be mentiond as the 5th point in the draft)

I thought any way it is going to be discarded, so why send it at all..!!

Comments please..

 -vishu

---

From: Bill Fenner <[email-masked]>
Date: Wed, 11 Nov 1998 12:35:31 PST

>I thought any way it is going to be discarded, so why send it at all..!!

The case where it needs to be sent is:
1. A forwards multicast packet Pa on lan L
2. B receives Pa from lan L, which is in its outgoing interface list.
3. B sends Assert with metrics [1,20] for the (S,G) in Pa.
4. A receives B's Assert, compares with its metrics [1,15] and knows that it
   is the winner.

Note that since B didn't forward any packets yet (e.g. due to
propogation delay), A didn't sends out its own Assert message, so
C and D (downstream routers) don't know that A won the Assert (and
B doesn't either, come to think of it).

The "don't send Asserts if you've already sent one" can probably
be considered to be part of the Assert rate-limiting described
elsewhere, although the step in the spec might get reworded to
something like "send an Assert if doing so does not violate the
rate limit" just to remind the implementor.

  Bill